precision lowp int; 
precision lowp float;

uniform sampler2D DiffuseMap;

varying lowp vec4 uvs;
varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;

void main() 
{
	lowp vec4 diffuseCol = texture2D(DiffuseMap, uvs.xy);
    vec3 col = diffuseCol.xyz * diffuseCol.a;
    gl_FragColor = vec4( col.x , col.y , col.z , diffuseCol.a ) * vertexcolour;

	//gl_FragColor.a=1.0f;
}
